Subject: Re: bug#39452: [PATCH] vc-git-state fails for filenames with wildcards

From: Stephen Berman <[email-masked]>
Date: Mon, 30 Aug 2021 15:34:04 +0200

On Mon, 30 Aug 2021 05:36:06 +0300 Dmitry Gutov <[email-masked]> wrote:

> On 27.08.2021 22:57, Stephen Berman wrote:
>> I just discovered that some code I have that uses vc-print-log-internal
>> broke after the literal-pathspecs change; specifically, my code passes a
>> directory name beginning with "~/" to vc-print-log-internal, and this
>> had worked fine till that change, which broke it, and I found I have to
>> wrap the directory name in expand-file-name to make the code work again.
>> Is this expected fallout from that change or was I perhaps misusing
>> vc-print-log-internal and was just lucky that it had worked before?
>
> Here's a patch which restores vc-print-log-internal's behavior without major
> changes. Check it out (attached).

Yeah, with that patch my code works again when passing a directory name
beginning "~/" to vc-print-log-internal.  Thanks.

Steve Berman